Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TextTagTableSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TextTagTable. More...

`#include <xfc/gtk/texttagsignals.hh>`

Inheritance diagram for Xfc::Gtk::TextTagTableSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_tag_changed (TextTag &tag, bool size_changed)
    Called whenever a tag property is changed.
- virtual void on_tag_added (TextTag &tag)
    Called whenever a tag is added to the table.
- virtual void on_tag_removed (TextTag &tag)
    Called whenever a tag is removed from the table.

## Protected Member Functions

Constructors

- TextTagTableSignals (TextTagTable *table)
    Constructs a new TextTagTableSignals object.
- virtual ~TextTagTableSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TextTagTable.

## Constructor & Destructor Documentation

Xfc::Gtk::TextTagTableSignals::TextTagTableSignals | ( | TextTagTable * | table | ) | `[protected]`

Constructs a new TextTagTableSignals object.

Parameters:

  | table | A TextTag object inheriting the TextTagTableSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::TextTagTableSignals::on_tag_added | ( | TextTag & | tag | ) | `[virtual]`

Called whenever a tag is added to the table.

Parameters:

  | tag | The tag being added to the table.

virtual void Xfc::Gtk::TextTagTableSignals::on_tag_changed | ( | TextTag & | tag,
|  | bool | size_changed
| ) | `[virtual]`

Called whenever a tag property is changed.

Parameters:

  | tag | The tag whose property was changed.
  | size_changed | true if the changed property resulted in a change to the text display size.

virtual void Xfc::Gtk::TextTagTableSignals::on_tag_removed | ( | TextTag & | tag | ) | `[virtual]`

Called whenever a tag is removed from the table.

Parameters:

  | tag | The tag being removed to the table.

The documentation for this class was generated from the following file:

- texttagsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3